import { MarkerSeriesDescription } from "./MarkerSeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ScatterBaseDescription extends MarkerSeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ff;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private fj;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private fi;
    get xMemberPath(): string;
    set xMemberPath(a: string);
    private fm;
    get yMemberPath(): string;
    set yMemberPath(a: string);
    private e9;
    get highlightedXMemberPath(): string;
    set highlightedXMemberPath(a: string);
    private fa;
    get highlightedYMemberPath(): string;
    set highlightedYMemberPath(a: string);
    private fg;
    get xMemberAsLegendLabel(): string;
    set xMemberAsLegendLabel(a: string);
    private fk;
    get yMemberAsLegendLabel(): string;
    set yMemberAsLegendLabel(a: string);
    private fh;
    get xMemberAsLegendUnit(): string;
    set xMemberAsLegendUnit(a: string);
    private fl;
    get yMemberAsLegendUnit(): string;
    set yMemberAsLegendUnit(a: string);
    private fe;
    get trendLineType(): string;
    set trendLineType(a: string);
    private fd;
    get trendLineBrush(): string;
    set trendLineBrush(a: string);
    private e6;
    get actualTrendLineBrush(): string;
    set actualTrendLineBrush(a: string);
    private ev;
    get trendLineThickness(): number;
    set trendLineThickness(a: number);
    private ep;
    get trendLineDashArray(): number[];
    set trendLineDashArray(a: number[]);
    private ez;
    get trendLinePeriod(): number;
    set trendLinePeriod(a: number);
    private fc;
    get markerCollisionAvoidance(): string;
    set markerCollisionAvoidance(a: string);
    private e0;
    get trendLineZIndex(): number;
    set trendLineZIndex(a: number);
    private ey;
    get maximumMarkers(): number;
    set maximumMarkers(a: number);
    private fb;
    get itemSearchMode(): string;
    set itemSearchMode(a: string);
    private ex;
    get itemSearchThreshold(): number;
    set itemSearchThreshold(a: number);
    private e5;
    get actualItemSearchMode(): string;
    set actualItemSearchMode(a: string);
    private es;
    get isCustomScatterStyleAllowed(): boolean;
    set isCustomScatterStyleAllowed(a: boolean);
    private er;
    get isCustomScatterMarkerStyleAllowed(): boolean;
    set isCustomScatterMarkerStyleAllowed(a: boolean);
    private e8;
    get assigningScatterStyleRef(): string;
    set assigningScatterStyleRef(a: string);
    private e7;
    get assigningScatterMarkerStyleRef(): string;
    set assigningScatterMarkerStyleRef(a: string);
}
